# -*- coding: utf-8 -*-
"""
Cryptocurrency Exchange Trades
==============================

Recent trade histories on Binance, a popular cryptocurrency exchange,
for a specified symbol (trading pair).
"""
# sphinx_gallery_thumbnail_number = 1

import requests
import pandas as pd

import matplotlib.pyplot as plt
import seaborn as sns
# %%

pair = ("ETH", "AUD")
symbol = "".join(pair)
# %%
frame = pd.read_json(f"https://api.binance.com/api/v3/trades?symbol={symbol}",
                     convert_dates=["time"])
frame.set_index("time", inplace=True)
frame
# %%
fig, ax = plt.subplots()

sns.scatterplot(x="time", y="price", data=frame, ax=ax)

ax.set_xlabel("Time")
ax.set_ylabel(f"Price ({pair[1]})")

plt.show()
# %%
fig, ax = plt.subplots()

sns.scatterplot(x="time", y="price", hue="isBuyerMaker", size="qty",
                data=frame, ax=ax)

ax.set_xlabel("Time")
ax.set_ylabel(f"Price ({pair[1]})")

plt.show()
